#
# spec file for package invm-cim
#
# Copyright (c) 2016 Intel Corporation
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname invm-cim
%define build_version 1.0.0.1049
%define build_release 1
%define api_release 1
%define dname %{oname}-devel
%define lname lib%{oname}%{api_release}
%define srcname lib%{oname}-%{build_version}

Name:           %{oname}
Version:        %{build_version}
Release:        1.9
Summary:        Framework for Intel Storage CIM Binaries
License:        BSD-3-Clause and BSD-2-Clause
Group:          System/Libraries
URL:            https://01.org/intel-nvm-cim-library
Source:         https://github.com/01org/lib%{oname}/archive/v%{version}.tar.gz
BuildRequires:  distribution-release
BuildRequires:  gcc-c++
ExclusiveArch:  x86_64

%description
Framework libraries for the Intel Storage CIM binaries.

%package -n %{lname}
Summary:        Library for Intel Storage CIM binaries
Group:          System/Libraries

%description -n %{lname}
Just the shared library for Intel Storage CIM binaries.

%package -n %{dname}
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}-%{release}

%description -n %{dname}
The %{name}-devel package contains header files for
developing applications that use %{name}.

%prep
%setup -q -n %{srcname}

%build
make BUILDNUM=%{version} RELEASE=1 \
  CFLAGS_EXTERNAL="%{?optflags}" %{?_smp_mflags}

%install
make BUILDNUM=%{version} RELEASE=1 \
  RPM_ROOT=%{buildroot} LIB_DIR=%{_libdir} INCLUDE_DIR=%{_includedir} \
  install

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%{_libdir}/lib%{oname}.so.*
%doc LICENSE

%files -n %{dname}
%defattr(-,root,root)
%{_libdir}/lib%{oname}.so
%{_includedir}/lib%{oname}

%changelog
* Wed Mar  1 2017 rw@suse.com
- Minor version update to 1.0.0.1049.  (FATE#321992, FATE#321996)
- Drop fix-build-on-non-ESX-Linux.patch.
* Tue Jul  5 2016 rw@suse.com
- Install LICENSE.
* Mon Jul  4 2016 rw@suse.com
- Update naming for Intel NVM utils.  (bsc#987543)
- Minor version update to 1.0.0.1040.
* Wed Apr 27 2016 jthumshirn@suse.com
- Update to upstream version v1.0.0.1032 to fix Licensing issues (bsc#976448)
* Thu Apr 14 2016 jthumshirn@suse.com
- Intital SUSE import (FATE#319636, FATE#319651)
